Page MenuHomePhabricator

UI Copy for Describe step on Upload Wizard
Closed, ResolvedPublic

Description

Need updated UI copy for Upload Wizard help text (Describe step). Help text is being moved out of the information widgets and placed between the input headings and the input fields to make prompts more visible to users.

This work is tied to the implementation of the new structured data field, Multilingual Captions (https://phabricator.wikimedia.org/T188502)

Doc is here: https://docs.google.com/document/d/11QYXQq2Hvr7f-zKtU9OIzPPIXdFKMjNOcIpUYBQirUo/edit?usp=sharing

Need feedback from the following in particular (please inviter others as you see fit): @Ramsey-WMF @SandraF_WMF @Keegan

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 6:37 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 7 2018, 7:03 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Mar 9 2018, 6:23 PM

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/UploadWizard/+/416466/ (UploadWizard "redesign") is ready to be merged.
It is based on https://app.zeplin.io/project/5944370bacda5b95a3c55d76/screen/5afcb766ee152ad33d9d91a8 & the copy matches this mockup.
Except for the captions help text, which was changed to "Add a one-line explanation of what this file represents, including only the most relevant information." (see T192843) - though captions won't be enabled in production yet.

It's also up for testing on https://federated-commons.wmflabs.org/wiki/Special:UploadWizard

The doc mentioned in this task's description has a lot of alternative suggestions, but as far as I can see, these haven't been finalised?
Do we want to keep working on alternative copy before merging the visual changes, or can we start merging these patches and make UW look exactly like what's on https://app.zeplin.io/project/5944370bacda5b95a3c55d76/screen/5afcb766ee152ad33d9d91a8, with that copy?

@matthiasmullie - I neglected to update this old doc. The most recent version of the Description instructions I've written as a synthesis of the prior doc is this:

"Provide any and all information that will help others understand what this file represents."

Pinging @Ramsey-WMF for final approval.

@matthiasmullie slight revision to the Description UI copy instructions (should make it easier for translations):

Description
Provide all information that will help others understand what this file represents.

Change 416466 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Improve what details step looks like

https://gerrit.wikimedia.org/r/416466

Change 416466 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Improve what details step looks like

https://gerrit.wikimedia.org/r/416466

Ramsey-WMF closed this task as Resolved.Mar 8 2019, 4:58 PM

Old ticket from first round of Captions. New stuff for tweaks can go in a new ticket.